"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ListFilesWhereProcessor = void 0;
class ListFilesWhereProcessor {
  skipKeys = ["tenant", "locale"];
  keyMap = {
    id: "entryId",
    id_in: "entryId_in"
  };
  process(input) {
    const where = {
      meta: {
        private_not: true
      }
    };
    Object.keys(input).filter(key => !this.skipKeys.includes(key)).forEach(key => {
      const remappedKey = this.keyMap[key];
      const value = input[key];
      if (remappedKey && value !== undefined) {
        where[remappedKey] = value;
      } else if (value !== undefined) {
        where[key] = value;
      }
    });
    return where;
  }
}
exports.ListFilesWhereProcessor = ListFilesWhereProcessor;

//# sourceMappingURL=ListFilesWhereProcessor.js.map