"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ListTagsWhereProcessor = void 0;
class ListTagsWhereProcessor {
  skipKeys = ["tenant", "locale"];
  keyMap = {
    tag_startsWith: "tags_startsWith",
    tag_not_startsWith: "tags_not_startsWith"
  };
  process(input) {
    const where = {
      meta: {
        private_not: true
      }
    };
    Object.keys(input).filter(key => !this.skipKeys.includes(key)).forEach(key => {
      const remappedKey = this.keyMap[key];
      const value = input[key];
      if (remappedKey && value !== undefined) {
        where[remappedKey] = value;
      } else if (value !== undefined) {
        where[key] = value;
      }
    });
    return where;
  }
}
exports.ListTagsWhereProcessor = ListTagsWhereProcessor;

//# sourceMappingURL=ListTagsWhereProcessor.js.map