"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createModelField = void 0;
var _camelCase = _interopRequireDefault(require("lodash/camelCase"));
const createModelField = params => {
  const {
    label,
    fieldId: initialFieldId,
    type,
    tags,
    settings = {},
    listValidation = [],
    validation = [],
    multipleValues = false,
    predefinedValues = {
      values: [],
      enabled: false
    }
  } = params;
  const fieldId = initialFieldId ? (0, _camelCase.default)(initialFieldId) : (0, _camelCase.default)(label);
  return {
    id: fieldId,
    storageId: `${type}@${fieldId}`,
    fieldId,
    label,
    type,
    settings,
    tags,
    listValidation,
    validation,
    multipleValues,
    predefinedValues
  };
};
exports.createModelField = createModelField;

//# sourceMappingURL=createModelField.js.map