"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isInstallationPending = void 0;
const isInstallationPending = ({
  tenancy,
  i18n
}) => {
  /**
   * In case of a fresh webiny project "tenant" and "locale" won't be there until
   * installation is completed. So, we need to skip "storage" creation till then.
   */
  const tenant = tenancy.getCurrentTenant();
  if (!tenant) {
    return true;
  }
  return !i18n.getContentLocale();
};
exports.isInstallationPending = isInstallationPending;

//# sourceMappingURL=isInstallationPending.js.map