"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FilesAssetRequestResolver = void 0;
var _AssetRequest = require("./AssetRequest");
class FilesAssetRequestResolver {
  async resolve(request) {
    // Example: /files/65722cb5c7824a0008d05963/image-48.jpg?width=300
    if (!request.url.startsWith("/files/")) {
      return undefined;
    }
    const params = request.params ?? {};
    const query = request.query ?? {};

    // Example: { '*': '/files/65722cb5c7824a0008d05963/image-48.jpg' },
    const path = params["*"];
    return new _AssetRequest.AssetRequest({
      key: decodeURI(path).replace("/files/", ""),
      context: {
        url: request.url
      },
      options: {
        ...query,
        width: query.width ? parseInt(query.width) : undefined
      }
    });
  }
}
exports.FilesAssetRequestResolver = FilesAssetRequestResolver;

//# sourceMappingURL=FilesAssetRequestResolver.js.map