"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TransformationAssetProcessor = void 0;
class TransformationAssetProcessor {
  constructor(strategy) {
    this.strategy = strategy;
  }
  async process(assetRequest, asset) {
    const {
      original
    } = assetRequest.getOptions();

    // If the `original` image was requested, we skip all transformations.
    if (original) {
      return asset;
    }
    return this.strategy.transform(assetRequest, asset);
  }
}
exports.TransformationAssetProcessor = TransformationAssetProcessor;

//# sourceMappingURL=TransformationAssetProcessor.js.map