"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  createFileManagerContext: true,
  createFileManagerGraphQL: true,
  createAssetDelivery: true
};
exports.createFileManagerGraphQL = exports.createFileManagerContext = exports.createAssetDelivery = void 0;
var _api = require("@webiny/api");
var _FileManagerContextSetup = require("./FileManagerContextSetup");
var _setupAssetDelivery = require("./delivery/setupAssetDelivery");
var _graphql = require("./graphql");
var _CmsModelModifier = require("./modelModifier/CmsModelModifier");
Object.keys(_CmsModelModifier).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _CmsModelModifier[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _CmsModelModifier[key];
    }
  });
});
var _plugins = require("./plugins");
Object.keys(_plugins).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _plugins[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _plugins[key];
    }
  });
});
var _delivery = require("./delivery");
Object.keys(_delivery).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _delivery[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _delivery[key];
    }
  });
});
const createFileManagerContext = ({
  storageOperations
}) => {
  const plugin = new _api.ContextPlugin(async context => {
    const fmContext = new _FileManagerContextSetup.FileManagerContextSetup(context);
    context.fileManager = await fmContext.setupContext(storageOperations);
  });
  plugin.name = "file-manager.createContext";
  return plugin;
};
exports.createFileManagerContext = createFileManagerContext;
const createFileManagerGraphQL = () => {
  return (0, _graphql.createGraphQLSchemaPlugin)();
};
exports.createFileManagerGraphQL = createFileManagerGraphQL;
const createAssetDelivery = config => {
  return (0, _setupAssetDelivery.setupAssetDelivery)(config);
};
exports.createAssetDelivery = createAssetDelivery;

//# sourceMappingURL=index.js.map