import { Plugin } from "@webiny/plugins";
import { CmsModelField as BaseModelField } from "@webiny/api-headless-cms/types";
import { CmsPrivateModelFull } from "@webiny/api-headless-cms";
declare type CmsModelField = Omit<BaseModelField, "storageId"> & {
    bulkEdit?: boolean;
};
declare class CmsModelFieldsModifier {
    private fields;
    constructor(fields: BaseModelField[]);
    addField(field: CmsModelField): void;
}
interface CmsModelModifierCallableParams {
    modifier: CmsModelFieldsModifier;
}
interface CmsModelModifierCallable {
    (params: CmsModelModifierCallableParams): Promise<void> | void;
}
export declare class CmsModelModifierPlugin extends Plugin {
    static type: string;
    private readonly modelId;
    private readonly cb;
    constructor(modelId: string, cb: CmsModelModifierCallable);
    modifyModel(model: CmsPrivateModelFull): Promise<void>;
}
export declare const createFileModelModifier: (cb: CmsModelModifierCallable) => CmsModelModifierPlugin;
export {};
