"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FileStorageTransformPlugin = void 0;
var _plugins = require("@webiny/plugins");
class FileStorageTransformPlugin extends _plugins.Plugin {
  static type = "fm.files.storage.transform";
  constructor(params) {
    super();
    this._params = params;
  }

  /**
   * Transform the file value into something that can be stored.
   * Be aware that you must return the whole file object.
   */
  async toStorage(params) {
    if (!this._params.toStorage) {
      return params.file;
    }
    return this._params.toStorage(params);
  }
  /**
   * Transform the file value from the storage type to one required by our system.
   * Be aware that you must return the whole file object.
   * This method MUST reverse what ever toStorage method changed on the file object.
   */
  async fromStorage(params) {
    if (!this._params.fromStorage) {
      return params.file;
    }
    return this._params.fromStorage(params);
  }
}
exports.FileStorageTransformPlugin = FileStorageTransformPlugin;

//# sourceMappingURL=FileStorageTransformPlugin.js.map